Subject: bug#15328: Bug or dubious feature?

From: Paul Eggert <[email-masked]>
Date: Sun, 20 Jan 2019 10:09:15 -0800

L A Walsh wrote:
> This was a very serious bug that appeared in several
> other areas

Yes, this appears to be a mount problem that affects many programs, not a 
coreutils problem per se.

The discrepancy that you observed between "mv" and "du" could be explained by 
the fact that "mv a/b c/d" changes C and also looks at A's and C's device 
number, whereas "du a/b c/d" needs to look only at A/B's and C/D's device 
number. So I don't see a bug. And anyway, the mount is the real problem here.